Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.xml
Enum QXmlStreamReader.Error

    java.lang.Object
      java.lang.Enum<QXmlStreamReader.Error>
          com.trolltech.qt.xml.QXmlStreamReader.Error

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QXmlStreamReader.Error>

Enclosing class:
  QXmlStreamReader

    public static enum QXmlStreamReader.Error

extends java.lang.Enum<QXmlStreamReader.Error>
implements QtEnumerator

This enum specifies different error cases

Enum Constant Summary
`CustomError` A custom error has been raised with `raiseError`
`NoError` No error has occurred.
`NotWellFormedError` The parser internally raised an error due to the read XML not being well-formed.
`PrematureEndOfDocumentError` The input stream ended before the document was parsed completely.
`UnexpectedElementError` The parser encountered an element that was different to those it expected.

Method Summary
`static QXmlStreamReader.Error` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QXmlStreamReader.Error` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QXmlStreamReader.Error[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoError

    public static final QXmlStreamReader.Error NoError

  No error has occurred.

### UnexpectedElementError

    public static final QXmlStreamReader.Error UnexpectedElementError

  The parser encountered an element that was different to those it expected.

### CustomError

    public static final QXmlStreamReader.Error CustomError

  A custom error has been raised with `raiseError`

### NotWellFormedError

    public static final QXmlStreamReader.Error NotWellFormedError

  The parser internally raised an error due to the read XML not being well-formed.

### PrematureEndOfDocumentError

    public static final QXmlStreamReader.Error PrematureEndOfDocumentError

  The input stream ended before the document was parsed completely. This error can be recovered from.

Method Detail

### values

    public static final QXmlStreamReader.Error[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QXmlStreamReader.Error c : QXmlStreamReader.Error.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QXmlStreamReader.Error valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QXmlStreamReader.Error resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD